/*
 * Copyright © 2012-2026 Pierrick Caillon <pierrick.caillon+zipdirfs@megami.fr>
 */
#ifndef MAIN_H
#define MAIN_H

#include "Options.h"

/**
 * @brief Application entry point
 * @authors Pierrick Caillon <pierrick.caillon+zipdirfs@megami.fr>
 */
class Main
{
public:
	struct Result
	{
		const int result;
		Result(const int res) : result(res) {}
		Result(const Result& res) = default;
	};
	Main(int, const char*[]);
	virtual ~Main();
	void init();
	void run();

private:
	Options options;
};

extern Main application;

#endif // MAIN_H
